SDL_Vulkan_GetPresentationSupport(3)

NAME
SDL_Vulkan_GetPresentationSupport - Query support for presentation via a given physical device and queue family.

SYNOPSIS
#include <SDL3/SDL_vulkan.h>

bool SDL_Vulkan_GetPresentationSupport(VkInstance instance,
                                           VkPhysicalDevice physicalDevice,
                                           Uint32 queueFamilyIndex);

DESCRIPTION
The instance must have been created with extensions returned by SDL_Vulkan_GetInstanceExtensions() enabled.

FUNCTION PARAMETERS

instance
    the Vulkan instance handle.

physicalDevice
    a valid Vulkan physical device handle.

queueFamilyIndex
    a valid queue family index for the given physical device.

RETURN VALUE
Returns true if supported, false if unsupported or an error occurred.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_Vulkan_GetInstanceExtensions(3)